al_fill_silence(3)

NAME

al_fill_silence - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro_audio.h>
    void al_fill_silence(void *buf, unsigned int samples,
       ALLEGRO_AUDIO_DEPTH depth, ALLEGRO_CHANNEL_CONF chan_conf)

DESCRIPTION

Fill a buffer with silence, for the given format and channel configuration. The buffer must have enough space for the given number of samples, and be properly aligned.

SINCE

5.1.8